<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.presence.Presence</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.presence-module.html">Module&nbsp;presence</a> ::
        Class&nbsp;Presence
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class Presence</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.presence-pysrc.html#Presence">source&nbsp;code</a></span></p>
<pre class="base-tree">
<a href="pyxmpp.stanza.Stanza-class.html">stanza.Stanza</a> --+
                |
               <strong class="uidshort">Presence</strong>
</pre>

<dl><dt>Known Subclasses:</dt>
<dd>
      <ul class="subclass-list">
<li><a href="pyxmpp.jabber.muccore.MucPresence-class.html">jabber.muccore.MucPresence</a></li>  </ul>
</dd></dl>

<hr />
Wraper object for &lt;presence /&gt; stanzas.

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.presence.Presence-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">xmlnode</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">from_jid</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">to_jid</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">stanza_type</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">stanza_id</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">show</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">status</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">priority</span>=<span class="summary-sig-default">0</span>,
        <span class="summary-sig-arg">error</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">error_cond</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">stream</span>=<span class="summary-sig-default">None</span>)</span><br />
      Initialize a <a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a> object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.presence-pysrc.html#Presence.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.presence.Presence-class.html#copy" class="summary-sig-name">copy</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Create a deep copy of the presence stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.presence-pysrc.html#Presence.copy">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">int</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.presence.Presence-class.html#get_priority" class="summary-sig-name">get_priority</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get presence priority.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.presence-pysrc.html#Presence.get_priority">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">unicode</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.presence.Presence-class.html#get_show" class="summary-sig-name">get_show</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get presence &quot;show&quot; field.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.presence-pysrc.html#Presence.get_show">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">unicode</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.presence.Presence-class.html#get_status" class="summary-sig-name">get_status</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get presence status description.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.presence-pysrc.html#Presence.get_status">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.presence.Presence-class.html#make_accept_response" class="summary-sig-name">make_accept_response</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Create &quot;accept&quot; response for the &quot;subscribe&quot;/&quot;subscribed&quot;/&quot;unsubscribe&quot;/&quot;unsubscribed&quot;
presence stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.presence-pysrc.html#Presence.make_accept_response">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.presence.Presence-class.html#make_deny_response" class="summary-sig-name">make_deny_response</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Create &quot;deny&quot; response for the &quot;subscribe&quot;/&quot;subscribed&quot;/&quot;unsubscribe&quot;/&quot;unsubscribed&quot;
presence stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.presence-pysrc.html#Presence.make_deny_response">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.presence.Presence-class.html#make_error_response" class="summary-sig-name">make_error_response</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">cond</span>)</span><br />
      Create error response for the any non-error presence stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.presence-pysrc.html#Presence.make_error_response">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.presence.Presence-class.html#set_priority" class="summary-sig-name">set_priority</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">priority</span>)</span><br />
      Change presence priority.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.presence-pysrc.html#Presence.set_priority">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.presence.Presence-class.html#set_show" class="summary-sig-name">set_show</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">show</span>)</span><br />
      Change presence &quot;show&quot; field.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.presence-pysrc.html#Presence.set_show">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.presence.Presence-class.html#set_status" class="summary-sig-name">set_status</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">status</span>)</span><br />
      Change presence status description.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.presence-pysrc.html#Presence.set_status">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.stanza.Stanza-class.html">stanza.Stanza</a></code></b>:
      <code><a href="pyxmpp.stanza.Stanza-class.html#__del__">__del__</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#__eq__">__eq__</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#__ne__">__ne__</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#add_content">add_content</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#add_new_content">add_new_content</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#free">free</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_error">get_error</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_from">get_from</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_from_jid">get_from_jid</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_id">get_id</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_node">get_node</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_stanza_id">get_stanza_id</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_stanza_type">get_stanza_type</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_to">get_to</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_to_jid">get_to_jid</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#get_type">get_type</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#serialize">serialize</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#set_content">set_content</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#set_from">set_from</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#set_id">set_id</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#set_new_content">set_new_content</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#set_to">set_to</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#set_type">set_type</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#xpath_eval">xpath_eval</a></code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== CLASS VARIABLES ==================== -->
<a name="section-ClassVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Class Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-ClassVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="stanza_type"></a><span class="summary-name">stanza_type</span> = <code title="'presence'"><code class="variable-quote">'</code><code class="variable-string">presence</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
</table>
<!-- ==================== INSTANCE VARIABLES ==================== -->
<a name="section-InstanceVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.stanza.Stanza-class.html">stanza.Stanza</a></code></b>:
      <code><a href="pyxmpp.stanza.Stanza-class.html#stream">stream</a></code>,
      <code><a href="pyxmpp.stanza.Stanza-class.html#xmlnode">xmlnode</a></code>
      </p>
    <div class="private">    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.stanza.Stanza-class.html">stanza.Stanza</a></code></b> (private):
      <code><a href="pyxmpp.stanza.Stanza-class.html#_error" onclick="show_private();">_error</a></code>
      </p></div>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">xmlnode</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">from_jid</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">to_jid</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">stanza_type</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">stanza_id</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">show</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">status</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">priority</span>=<span class="sig-default">0</span>,
        <span class="sig-arg">error</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">error_cond</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">stream</span>=<span class="sig-default">None</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.presence-pysrc.html#Presence.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Initialize a <a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a> object.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>xmlnode</code></strong> (: <code class="link">unicode</code> or <code class="link">libxml2.xmlNode</code> or <a href="pyxmpp.stanza.Stanza-class.html" class="link">Stanza</a>) - : XML node to_jid be wrapped into the <a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a> object
or other Presence object to be copied. If not given then new
presence stanza is created using following parameters.</li>
        <li><strong class="pname"><code>from_jid</code></strong> (: <a href="pyxmpp.jid.JID-class.html" class="link">JID</a>) - : sender JID.</li>
        <li><strong class="pname"><code>to_jid</code></strong> (: <a href="pyxmpp.jid.JID-class.html" class="link">JID</a>) - : recipient JID.</li>
        <li><strong class="pname"><code>stanza_type</code></strong> (: <code class="link">unicode</code>) - : staza type: one of: None, &quot;available&quot;, &quot;unavailable&quot;,
&quot;subscribe&quot;, &quot;subscribed&quot;, &quot;unsubscribe&quot;, &quot;unsubscribed&quot; or
&quot;error&quot;. &quot;available&quot; is automaticaly changed to_jid None.</li>
        <li><strong class="pname"><code>stanza_id</code></strong> (: <code class="link">unicode</code>) - : stanza id -- value of stanza's &quot;id&quot; attribute</li>
        <li><strong class="pname"><code>show</code></strong> (: <code class="link">unicode</code>) - : &quot;show&quot; field of presence stanza. One of: None, &quot;away&quot;,
&quot;xa&quot;, &quot;dnd&quot;, &quot;chat&quot;.</li>
        <li><strong class="pname"><code>status</code></strong> (: <code class="link">unicode</code>) - : descriptive text for the presence stanza.</li>
        <li><strong class="pname"><code>priority</code></strong> (: <code class="link">unicode</code>) - : presence priority.</li>
        <li><strong class="pname"><code>error_cond</code></strong> (: <code class="link">unicode</code>) - : error condition name. Ignored if <a href="pyxmpp.presence.Presence-class.html#stanza_type" class="link">stanza_type</a> is not &quot;error&quot;</li>
    </ul></dd>
    <dt>Overrides:
        <a href="pyxmpp.stanza.Stanza-class.html#__init__">stanza.Stanza.__init__</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="copy"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">copy</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.presence-pysrc.html#Presence.copy">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Create a deep copy of the presence stanza.
  <dl class="fields">
    <dt>Returns: <a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a></dt>
    <dt>Overrides:
        <a href="pyxmpp.stanza.Stanza-class.html#copy">stanza.Stanza.copy</a>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="get_priority"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_priority</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.presence-pysrc.html#Presence.get_priority">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get presence priority.
  <dl class="fields">
    <dt>Returns: <code class="link">int</code></dt>
        <dd>value of stanza's priority. 0 if the stanza doesn't contain
&lt;priority/&gt; element.</dd>
  </dl>
</td></tr></table>
</div>
<a name="get_show"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_show</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.presence-pysrc.html#Presence.get_show">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get presence &quot;show&quot; field.
  <dl class="fields">
    <dt>Returns: <code class="link">unicode</code></dt>
        <dd>value of stanza's &lt;show/&gt; field.</dd>
  </dl>
</td></tr></table>
</div>
<a name="get_status"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_status</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.presence-pysrc.html#Presence.get_status">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get presence status description.
  <dl class="fields">
    <dt>Returns: <code class="link">unicode</code></dt>
        <dd>value of stanza's &lt;status/&gt; field.</dd>
  </dl>
</td></tr></table>
</div>
<a name="make_accept_response"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">make_accept_response</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.presence-pysrc.html#Presence.make_accept_response">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Create &quot;accept&quot; response for the &quot;subscribe&quot;/&quot;subscribed&quot;/&quot;unsubscribe&quot;/&quot;unsubscribed&quot;
presence stanza.
  <dl class="fields">
    <dt>Returns: <a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a></dt>
        <dd>new stanza.</dd>
  </dl>
</td></tr></table>
</div>
<a name="make_deny_response"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">make_deny_response</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.presence-pysrc.html#Presence.make_deny_response">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Create &quot;deny&quot; response for the &quot;subscribe&quot;/&quot;subscribed&quot;/&quot;unsubscribe&quot;/&quot;unsubscribed&quot;
presence stanza.
  <dl class="fields">
    <dt>Returns: <a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a></dt>
        <dd>new presence stanza.</dd>
  </dl>
</td></tr></table>
</div>
<a name="make_error_response"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">make_error_response</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">cond</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.presence-pysrc.html#Presence.make_error_response">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Create error response for the any non-error presence stanza.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>cond</code></strong> (: <code class="link">unicode</code>) - : error condition name, as defined in XMPP specification.</li>
    </ul></dd>
    <dt>Returns: <a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a></dt>
        <dd>new presence stanza.</dd>
  </dl>
</td></tr></table>
</div>
<a name="set_priority"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_priority</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">priority</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.presence-pysrc.html#Presence.set_priority">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Change presence priority.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>priority</code></strong> (: <code class="link">int</code>) - : new presence priority.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="set_show"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_show</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">show</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.presence-pysrc.html#Presence.set_show">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Change presence &quot;show&quot; field.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>show</code></strong> (: <code class="link">unicode</code>) - : new value for the &quot;show&quot; field of presence stanza. One
of: None, &quot;away&quot;, &quot;xa&quot;, &quot;dnd&quot;, &quot;chat&quot;.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="set_status"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_status</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">status</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.presence-pysrc.html#Presence.set_status">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Change presence status description.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>status</code></strong> (: <code class="link">unicode</code>) - : descriptive text for the presence stanza.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:04 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
